[package]
name = "nanometrics-agent"
version = "0.1.5"
edition = "2021"

[lib]
name = "nanometrics_agent"
path = "src/lib.rs"

[[bin]]
name = "nanometrics-agent"
path = "src/main.rs"

[profile.release]
strip = true
opt-level = "z"
lto = true
codegen-units = 1

[dependencies]
sysinfo = { version = "0.30", default-features = false }
libc = "0.2"
serde = { version = "1", features = ["derive"] }
serde_json = "1"
toml = "0.8"
rumqttc = { version = "0.24", default-features = false, features = ["use-rustls"] }

[dev-dependencies]
tempfile = "3"
